Main Page Packages Class Hierarchy Compound List File List Compound Members

# noderemovechildnode Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| noderemovechildnode (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "removeChild(oldChild)" method removes the node indicated by "oldChild".

Retrieve the second employee and remove its first child. After the removal, the second employee should have twelve children and the first child should now be the child that used to be at the second position in the list.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-1734834066

Definition at line 45 of file noderemovechildnode.java.

## Constructor & Destructor Documentation

noderemovechildnode::noderemovechildnode | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 47 of file noderemovechildnode.java.
    00048  {
    00049       super(factory);
    00050
    00051    }

## Member Function Documentation

String noderemovechildnode::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 92 of file noderemovechildnode.java.
    00092                                 {
    00093       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/noderemovechildnode";
    00094    }

void noderemovechildnode::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 95 of file noderemovechildnode.java. References DOMTestCase::doMain().
    00095                                           {
    00096         DOMTestCase.doMain(noderemovechildnode.class,args);
    00097    }

void noderemovechildnode::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 53 of file noderemovechildnode.java. References DOMTestCase::assertEquals(), DOMTest::isIgnoringElementContentWhitespace(), and DOMTest::load().
    00053                                                     {
    00054       Document doc;
    00055       NodeList elementList;
    00056       Node employeeNode;
    00057       NodeList childList;
    00058       Node oldChild;
    00059       Node child;
    00060       String childName;
    00061       int length;
    00062       Node removedChild;
    00063       String removedName;
    00064       doc = load("staff");
    00065       elementList = doc.getElementsByTagName("employee");
    00066       employeeNode = elementList.item(1);
    00067       childList = employeeNode.getChildNodes();
    00068       oldChild = childList.item(0);
    00069       removedChild = employeeNode.removeChild(oldChild);
    00070       removedName = removedChild.getNodeName();
    00071       child = childList.item(0);
    00072       childName = child.getNodeName();
    00073       length = (int)childList.getLength();
    00074
    00075         if(
    00076         isIgnoringElementContentWhitespace()
    00077         ) {
    00078         assertEquals("removedNameNoWhitespace","employeeId",removedName);
    00079       assertEquals("childNameNoWhitespace","name",childName);
    00080       assertEquals("lengthNoWhitespace",5,length);
    00081
    00082         }
    00083
    00084                 else {
    00085                         assertEquals("removedName","#text",removedName);
    00086       assertEquals("childName","employeeId",childName);
    00087       assertEquals("length",12,length);
    00088
    00089                 }
    00090
    00091    }

The documentation for this class was generated from the following file:

- noderemovechildnode.java